Business Ad Studies
Updated: Mar 24, 2026
Copy for LLM
Ads in WhatsApp Status are available via the Marketing API. Learn more about ads in WhatsApp Status.
Reading
This business owns these ads-related studies. Includes lift studies, split tests and so on.
Example
GET /v25.0/{business-id}/ad_studies HTTP/1.1
Host: graph.facebook.com
Try it in Graph API Explorer
If you want to learn how to use the Graph API, read our Using Graph API guide
Parameters
This endpoint doesn't have any parameters.
Fields
Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {}
}
data
A list of AdStudy nodes.
paging
For more details about pagination, see the Graph API guide.
Error Codes
| Error Code | Description |
|---|---|
200 | Permissions error |
100 | Invalid parameter |
80004 | There have been too many calls to this ad-account. Wait a bit and try again. For more info, please refer to /docs/graph-api/overview/rate-limiting#ads-management. |
104 | Incorrect signature |
Creating
/{business_id}/ad_studies
You can make a POST request to ad_studies edge from the following paths:
When posting to this edge, an AdStudy will be created.
Parameters
| Parameter | Description |
|---|---|
cellslist<Object> |
Describes the cells in the study.
required description stringid int64name stringcreation_template enum {AUTOMATIC_PLACEMENTS, BRAND_AWARENESS, FACEBOOK, FACEBOOK_AUDIENCE_NETWORK, FACEBOOK_INSTAGRAM, FACEBOOK_NEWS_FEED, FACEBOOK_NEWS_FEED_IN_STREAM_VIDEO, IN_STREAM_VIDEO, INSTAGRAM, MOBILE_OPTIMIZED_VIDEO, PAGE_POST_ENGAGEMENT, REACH, TV_COMMERCIAL, TV_FACEBOOK, VIDEO_VIEW_OPTIMIZATION, LOW_FREQUENCY, MEDIUM_FREQUENCY, HIGH_FREQUENCY}adaccounts list<int64>ads list<numeric string or integer>adsets list<numeric string or integer>campaigns list<numeric string or integer>control_percentage float with at most two digits after decimal pointtreatment_percentage float with at most two digits after decimal pointShow child parameters |
client_businessnumeric string or integer |
Business associated with the study.
|
confidence_levelfloat |
Confidence level used in power calculations and final study report.
|
cooldown_start_timeinteger |
Start of the pre-measurement cool-down period. This period ends when the study period starts.
|
creative_test_configJSON object |
(Optional) Configuration for launching a 2-5 cell creative test. Specify either daily_budget or lifetime_budget_percentage to set the budget allocation for the study across the cells' ads. The study's "type" field must also be defined as SPLIT_TEST_V2 when creative_test_config is included in the request.
|
descriptionstring |
The purpose of the study.
|
end_timeinteger |
Time when the study period ends.
required |
namestring |
Name of the study.
required |
objectiveslist<Object> |
A vector of objects describing the objectives assigned to this study.
id numeric string or integeris_primary booleanname stringtype enum {SALES, NONSALES, MAE, TELCO, FTL, MAI, PARTNER, BRANDLIFT, BRAND, MPC_CONVERSION, CONVERSIONS}offsite_datasets list<JSON or object-like arrays>id numeric string or integerrequired event_names list<string>Show child parameters adspixels list<JSON or object-like arrays>id numeric string or integerrequired event_names list<string>Show child parameters customconversions list<JSON or object-like arrays>id numeric string or integerrequired event_names list<string>Show child parameters applications list<JSON or object-like arrays>id numeric string or integerrequired event_names list<string>Show child parameters offline_conversion_data_sets list<JSON or object-like arrays>id numeric string or integerrequired event_names list<string>Show child parameters product_sets list<JSON or object-like arrays>id numeric string or integerrequired event_names list<string>Show child parameters product_catalogs list<JSON or object-like arrays>id numeric string or integerrequired event_names list<string>Show child parameters Show child parameters |
observation_end_timeinteger |
The end of the observation period for this study. This period starts when the study period ends.
|
start_timeinteger |
The time when the study period starts.
required |
typeenum {LIFT, SPLIT_TEST, CONTINUOUS_LIFT_CONFIG, GEO_LIFT, BACKEND_AB_TESTING, CREATIVE_SPEND_ENFORCEMENT, PORTFOLIO_OPTIMIZER, VERSION_CONTROL} |
The type of ad study, such as SPLIT_TEST or LIFT.
|
viewerslist<int> |
This study is shared with these people.
|
Return Type
This endpoint supports read-after-write and will read the node represented by id in the return type.
Struct {
id: numeric string,
}
Error Codes
| Error Code | Description |
|---|---|
100 | Invalid parameter |
200 | Permissions error |
Updating
You can't perform this operation on this endpoint.
Deleting
You can't perform this operation on this endpoint.